PDF417Writer (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.pdf417, class: PDF417Writer

Package com.google.zxing.pdf417

# Class PDF417Writer

java.lang.Object
com.google.zxing.pdf417.PDF417Writer

All Implemented Interfaces:
  `Writer`

public final class PDF417Writer extends Object implements Writer

Author:
  Jacob Haynes, qwandor@google.com (Andrew Walbran)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PDF417Writer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BitMatrix`
  `encode(String contents, BarcodeFormat format, int width, int height)`
  Encode a barcode using the default settings.
  `BitMatrix`
  `encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PDF417Writer

    public PDF417Writer()

- ## Method Details

  - ### encode

    public BitMatrix encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints) throws WriterException
    Specified by:
      `encode` in interface `Writer`
    Parameters:
      `contents` - The contents to encode in the barcode
      `format` - The barcode format to generate
      `width` - The preferred width in pixels
      `height` - The preferred height in pixels
      `hints` - Additional parameters to supply to the encoder
    Returns:
      `BitMatrix` representing encoded barcode image
    Throws:
      `WriterException` - if contents cannot be encoded legally in a format

  - ### encode

    public BitMatrix encode(String contents, BarcodeFormat format, int width, int height) throws WriterException
    Description copied from interface: `Writer`
    Encode a barcode using the default settings.
    Specified by:
      `encode` in interface `Writer`
    Parameters:
      `contents` - The contents to encode in the barcode
      `format` - The barcode format to generate
      `width` - The preferred width in pixels
      `height` - The preferred height in pixels
    Returns:
      `BitMatrix` representing encoded barcode image
    Throws:
      `WriterException` - if contents cannot be encoded legally in a format